Subject: Re: [PATCH net-next] Documentation: networking: Add missing PHY_GET command in the message list

From: Simon Horman <[email-masked]>
Date: Thu, 24 Oct 2024 16:28:16 +0100

On Thu, Oct 24, 2024 at 05:18:02PM +0200, Kory Maincent wrote:
> On Thu, 24 Oct 2024 15:52:23 +0100
> Simon Horman <[email-masked]> wrote:
> 
> > On Wed, Oct 23, 2024 at 04:15:58PM +0200, Kory Maincent wrote:
> > > ETHTOOL_MSG_PHY_GET/GET_REPLY/NTF is missing in the ethtool message list.
> > > Add it to the ethool netlink documentation.
> > > 
> > > Signed-off-by: Kory Maincent <[email-masked]>
> > > ---
> > >  Documentation/networking/ethtool-netlink.rst | 3 +++
> > >  1 file changed, 3 insertions(+)
> > > 
> > > diff --git a/Documentation/networking/ethtool-netlink.rst
> > > b/Documentation/networking/ethtool-netlink.rst index
> > > 295563e91082..70ecc3821007 100644 ---
> > > a/Documentation/networking/ethtool-netlink.rst +++
> > > b/Documentation/networking/ethtool-netlink.rst @@ -236,6 +236,7 @@
> > > Userspace to kernel: ``ETHTOOL_MSG_MM_GET``                get MAC merge
> > > layer state ``ETHTOOL_MSG_MM_SET``                set MAC merge layer
> > > parameters ``ETHTOOL_MSG_MODULE_FW_FLASH_ACT``   flash transceiver module
> > > firmware
> > > +  ``ETHTOOL_MSG_PHY_GET``               get Ethernet PHY information
> > >    ===================================== =================================
> > >  
> > >  Kernel to userspace:
> > > @@ -283,6 +284,8 @@ Kernel to userspace:
> > >    ``ETHTOOL_MSG_PLCA_NTF``                 PLCA RS parameters
> > >    ``ETHTOOL_MSG_MM_GET_REPLY``             MAC merge layer status
> > >    ``ETHTOOL_MSG_MODULE_FW_FLASH_NTF``      transceiver module flash updates
> > > +  ``ETHTOOL_MSG_PHY_GET_REPLY``            Ethernet PHY information
> > > +  ``ETHTOOL_MSG_PHY_NTF``                  Ethernet PHY information  
> > 
> > I wonder if ETHTOOL_MSG_PHY_NTF should be removed.
> > It doesn't seem to be used anywhere.
> 
> We can't, as it is in the ethtool UAPI. Also I believe Maxime will use it on
> later patch series. Maxime, you confirm?

Ok, if it's in the UAPI then I suppose it needs to stay.

But could we differentiate in the documentation between
ETHTOOL_MSG_PHY_GET_REPLY and ETHTOOL_MSG_PHY_NTF?